Package com.google.protobuf

# Class FieldMask.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<FieldMask.Builder>
com.google.protobuf.FieldMask.Builder

All Implemented Interfaces:
  `FieldMaskOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  FieldMask

public static final class FieldMask.Builder extends GeneratedMessageV3.Builder<FieldMask.Builder> implements FieldMaskOrBuilder
Protobuf type `google.protobuf.FieldMask`

## Method Summary

Modifier and Type
Method
Description
`FieldMask.Builder`
`addAllPaths(Iterable<String> values)`
`repeated string paths = 1 [json_name = "paths"];`
`FieldMask.Builder`
`addPaths(String value)`
`repeated string paths = 1 [json_name = "paths"];`
`FieldMask.Builder`
`addPathsBytes(ByteString value)`
`repeated string paths = 1 [json_name = "paths"];`
`FieldMask`
`build()`
Constructs the message based on the state of the Builder.
`FieldMask`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`FieldMask.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`FieldMask.Builder`
`clearPaths()`
`repeated string paths = 1 [json_name = "paths"];`
`FieldMask`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getPaths(int index)`
`repeated string paths = 1 [json_name = "paths"];`
`ByteString`
`getPathsBytes(int index)`
`repeated string paths = 1 [json_name = "paths"];`
`int`
`getPathsCount()`
`repeated string paths = 1 [json_name = "paths"];`
`ProtocolStringList`
`getPathsList()`
`repeated string paths = 1 [json_name = "paths"];`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`FieldMask.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`FieldMask.Builder`
`mergeFrom(FieldMask other)`
`FieldMask.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`final FieldMask.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`FieldMask.Builder`
`setPaths(int index, String value)`
`repeated string paths = 1 [json_name = "paths"];`
`final FieldMask.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<FieldMask.Builder>`

### clear

public FieldMask.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<FieldMask.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<FieldMask.Builder>`

### getDefaultInstanceForType

public FieldMask getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public FieldMask build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public FieldMask buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public FieldMask.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<FieldMask.Builder>`

### mergeFrom

public FieldMask.Builder mergeFrom(FieldMask other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<FieldMask.Builder>`

### mergeFrom

public FieldMask.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<FieldMask.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getPathsList

public ProtocolStringList getPathsList()
`repeated string paths = 1 [json_name = "paths"];`

Specified by:
  `getPathsList` in interface `FieldMaskOrBuilder`
Returns:
  A list containing the paths.

### getPathsCount

public int getPathsCount()
`repeated string paths = 1 [json_name = "paths"];`

Specified by:
  `getPathsCount` in interface `FieldMaskOrBuilder`
Returns:
  The count of paths.

### getPaths

public String getPaths(int index)
`repeated string paths = 1 [json_name = "paths"];`

Specified by:
  `getPaths` in interface `FieldMaskOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The paths at the given index.

### getPathsBytes

public ByteString getPathsBytes(int index)
`repeated string paths = 1 [json_name = "paths"];`

Specified by:
  `getPathsBytes` in interface `FieldMaskOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the paths at the given index.

### setPaths

public FieldMask.Builder setPaths(int index, String value)
`repeated string paths = 1 [json_name = "paths"];`

Parameters:
  `index` - The index to set the value at.
  `value` - The paths to set.
Returns:
  This builder for chaining.

### addPaths

public FieldMask.Builder addPaths(String value)
`repeated string paths = 1 [json_name = "paths"];`

Parameters:
  `value` - The paths to add.
Returns:
  This builder for chaining.

### addAllPaths

public FieldMask.Builder addAllPaths(Iterable<String> values)
`repeated string paths = 1 [json_name = "paths"];`

Parameters:
  `values` - The paths to add.
Returns:
  This builder for chaining.

### clearPaths

public FieldMask.Builder clearPaths()
`repeated string paths = 1 [json_name = "paths"];`

Returns:
  This builder for chaining.

### addPathsBytes

public FieldMask.Builder addPathsBytes(ByteString value)
`repeated string paths = 1 [json_name = "paths"];`

Parameters:
  `value` - The bytes of the paths to add.
Returns:
  This builder for chaining.

### setUnknownFields

public final FieldMask.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<FieldMask.Builder>`

### mergeUnknownFields

public final FieldMask.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<FieldMask.Builder>`